Difference between revisions of "Distribution-specific Package Installation"

(/* Updated Debian)
(Added RHEL 8)
 
(14 intermediate revisions by 2 users not shown)
Line 11: Line 11:
 
= Red Hat Enterprise Linux / CentOS / Scientific Linux =
 
= Red Hat Enterprise Linux / CentOS / Scientific Linux =
  
== Version 7 ==
+
== Version 7 and 8 ==
  
 
  # yum install samba
 
  # yum install samba
  
Because of the missing MIT Kerberos support in Samba, you can not use the Samba packages provided by Red Hat Enterprise Linux 7 as a Samba AD DC. As alternative:
+
The <code>samba</code> package only supports Samba as a domain member and NT4 PDC or BDC. Red Hat does not provide packages for running Samba as an AD DC. As an alternative:
* build Samba. For details, see [[Build_Samba_from_Source|Build Samba from Source]].
+
* Build Samba. For details, see [[Build_Samba_from_Source|Build Samba from Source]].
* use 3rd-party packages with AD support from a trusted source.
+
* Use 3rd-party packages with AD support from a trusted source.
 
 
 
 
  
 
== Version 6 ==
 
== Version 6 ==
Line 25: Line 23:
 
  # yum install samba4
 
  # yum install samba4
  
Because of the missing MIT Kerberos support in Samba, you can not use the Samba packages provided by Red Hat Enterprise Linux 7 as a Samba AD DC. As alternative:
+
The <code>samba4</code> package only supports Samba as a domain member and NT4 PDC or BDC. Red Hat does not provide packages for running Samba as an AD DC. As an alternative:
* build Samba. For details, see [[Build_Samba_from_Source|Build Samba from Source]].
+
* Build Samba. For details, see [[Build_Samba_from_Source|Build Samba from Source]].
* use 3rd-party packages with AD support from a trusted source.
+
* Use 3rd-party packages with AD support from a trusted source.
 
 
 
 
  
  
Line 35: Line 31:
 
= Debian =
 
= Debian =
  
== Buster (testing) ==
+
  # apt-get install acl attr samba samba-dsdb-modules samba-vfs-modules winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user
 
 
  # apt-get install samba attr
 
 
 
For an AD DC, you will also need:
 
 
 
# apt-get install winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user
 
 
 
== Stretch (stable) ==
 
 
 
# apt-get install samba attr
 
 
 
For an AD DC, you will also need:
 
 
 
# apt-get install winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user
 
 
 
== Jessie (old-stable) ==
 
 
 
# apt-get install samba
 
 
 
For an AD DC, you will also need:
 
 
 
# apt-get install winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user
 
  
 +
Note: For a DC you do not need libpam-winbind libnss-winbind libpam-krb5, unless you require AD users to login
  
 +
Note2: For a DC, you will also need to install <code>dnsutils</code>
  
  
Line 65: Line 41:
 
= Ubuntu =
 
= Ubuntu =
  
== 16.04 Xenial Xerus (LTS) ==
+
  # apt-get install acl attr samba samba-dsdb-modules samba-vfs-modules winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user
 
 
  # apt-get install samba winbind libnss-winbind libpam-winbind
 
 
 
 
 
 
 
== 15.10 Wily Werewolf ==
 
 
 
# apt-get install samba
 
 
 
 
 
 
 
== 14.04 Trusty Tahr (LTS) ==
 
 
 
# apt-get install samba
 
 
 
 
 
 
 
== 12.04 Precise Pangolin (LTS) ==
 
 
 
# apt-get install samba4
 
 
 
Packages in 12.04 are very outdated (3.6.x), don't use them!
 
 
 
 
 
  
 +
Note: For a DC you do not need libpam-winbind libnss-winbind libpam-krb5, unless you require AD users to login
  
 +
Note2: For a DC, you will also need to install <code>dnsutils</code>
  
 
= FreeBSD =
 
= FreeBSD =
Line 97: Line 51:
 
  # pkg install net/samba44
 
  # pkg install net/samba44
  
Note: If you want to use the '''idmap_ad''' Winbind back end (on e.g. an AD Member Server), you have to build the port by hand and select the '''EXP_MODULES''' configuration option!
+
Note: If you want to use the <code>idmap_ad</code> Winbind back end (on e.g. an AD Member Server), you have to build the port by hand and select the '''EXP_MODULES''' configuration option!

Latest revision as of 17:53, 25 September 2019

Introduction

The following is a distribution-specific list of commands to install Samba.

Note, that the list of commands is neither provided nor actively verified by the Samba team. If you see any missing packages or incorrect package names, please update the command or send the information to the Samba mailing list.



Red Hat Enterprise Linux / CentOS / Scientific Linux

Version 7 and 8

# yum install samba

The samba package only supports Samba as a domain member and NT4 PDC or BDC. Red Hat does not provide packages for running Samba as an AD DC. As an alternative:

  • Build Samba. For details, see Build Samba from Source.
  • Use 3rd-party packages with AD support from a trusted source.

Version 6

# yum install samba4

The samba4 package only supports Samba as a domain member and NT4 PDC or BDC. Red Hat does not provide packages for running Samba as an AD DC. As an alternative:

  • Build Samba. For details, see Build Samba from Source.
  • Use 3rd-party packages with AD support from a trusted source.


Debian

# apt-get install acl attr samba samba-dsdb-modules samba-vfs-modules winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user

Note: For a DC you do not need libpam-winbind libnss-winbind libpam-krb5, unless you require AD users to login

Note2: For a DC, you will also need to install dnsutils


Ubuntu

# apt-get install acl attr samba samba-dsdb-modules samba-vfs-modules winbind libpam-winbind libnss-winbind libpam-krb5 krb5-config krb5-user

Note: For a DC you do not need libpam-winbind libnss-winbind libpam-krb5, unless you require AD users to login

Note2: For a DC, you will also need to install dnsutils

FreeBSD

# pkg install net/samba44

Note: If you want to use the idmap_ad Winbind back end (on e.g. an AD Member Server), you have to build the port by hand and select the EXP_MODULES configuration option!